library(ggplot2)
library(tidyr)
library(tibble)

#faili sisselugemine ja andmete formaadi korrigeerimine
J331=read.csv("PT3-T3.3-J3.3.1.csv",header=TRUE, encoding ="UTF-8")
names(J331)[2:3]=c("10-aastased","12-aastased")
J331$Riik[J331$Riik=="Eesti"]="EESTI"

levels=reorder(J331$Riik,J331$`10-aastased`)
J331=pivot_longer(J331,2:3,"Vanus")
J331$Riik=as.factor(J331$Riik)
J331$Vanus=as.factor(J331$Vanus)
J331$Riik=factor(J331$Riik,rev(levels))
J331$Vanus=factor(J331$Vanus,levels(J331$Vanus)[order(c(2,1))])
font=rep(1,16)
font[9]=2

#joonis
ggplot(J331)+
  geom_col(aes(x=Riik,y=value,fill=Vanus),pos=position_dodge(0.8),width=0.6)+
  theme_minimal()+
  theme(legend.position = "bottom")+
  coord_flip()+
  scale_fill_manual(values=c("#FF3600","#0069AD"),breaks=c("10-aastased","12-aastased"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))+
  scale_y_continuous(limits=c(0,100),breaks=c(0,25,50,75,100))+
  theme(legend.title = element_blank(),axis.text.y = element_text(face=font))+
  ylab("%")+
  xlab("")






